Currencies & Gates

Returns all available payment currencies with their network details and confirmation requirements. Use it to decide which currencies and networks can be offered for the selected environment.

GET
/v1/currencies

Query Parameters

environment?string

Which environment's currencies to return. Defaults to live.

Default"live"
Value in"live" | "test"

Response Body

fetch("https://dashboard.halfin.xyz/api/v1/currencies?environment=live", {  method: "GET"})
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "network": "string",
      "decimals": 0,
      "confirmations_required": 0,
      "status": "string",
      "usd_nominal_available": true
    }
  ],
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": [
      "string"
    ]
  },
  "meta": {
    "request_id": "string"
  }
}